Bug 546362 - SELinux is preventing /usr/libexec/polkit-1/polkitd "getattr" access on /proc/<pid>/stat.
Summary: SELinux is preventing /usr/libexec/polkit-1/polkitd "getattr" access on /proc...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:0fe6544caba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-10 17:51 UTC by jeff
Modified: 2009-12-22 20:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:22 UTC
Type: ---


Attachments (Terms of Use)

Description jeff 2009-12-10 17:51:48 UTC
Summary:

SELinux is preventing /usr/libexec/polkit-1/polkitd "getattr" access on /proc//stat.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by polkitd. It is not expected that this access
is required by polkitd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:policykit_t:SystemLow-SystemHigh
Target Context                system_u:system_r:unconfined_notrans_t:SystemLow
Target Objects                /proc/<pid>/stat [ file ]
Source                        polkitd
Source Path                   /usr/libexec/polkit-1/polkitd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           polkit-0.95-0.git20090913.3.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-162.fc12.x86_64 #1 SMP Fri
                              Dec 4 00:06:26 EST 2009 x86_64 x86_64
Alert Count                   49
First Seen                    Tue 08 Dec 2009 08:50:03 PM CST
Last Seen                     Thu 10 Dec 2009 11:45:36 AM CST
Local ID                      25ee9845-06a4-4945-b995-62ba58fb8b69
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260467136.767:2872): avc:  denied  { getattr } for  pid=2474 comm="polkitd" path="/proc/2654/stat" dev=proc ino=1010254 scontext=system_u:system_r:policykit_t:s0-s0:c0.c1023 tcontext=system_u:system_r:unconfined_notrans_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1260467136.767:2872): arch=c000003e syscall=5 success=yes exit=4294967424 a0=6 a1=7fffd548ffe0 a2=7fffd548ffe0 a3=10 items=0 ppid=1 pid=2474 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="polkitd" exe="/usr/libexec/polkit-1/polkitd" subj=system_u:system_r:policykit_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,polkitd,policykit_t,unconfined_notrans_t,file,getattr
audit2allow suggests:

#============= policykit_t ==============
allow policykit_t unconfined_notrans_t:file getattr;

Comment 1 Daniel Walsh 2009-12-10 18:30:31 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-58.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:54:21 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:42:33 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.